#! /usr/bin/perl -w
#
# usage: ./setup.pl type start end
#
# type: 1kx5 or linear
# start: the first sequence
# end:   the last sequence

$type  = $ARGV[0];
$start = $ARGV[1];
$end   = $ARGV[2];

$file_num       = "00000"; 
$seq_dir        = "setup_utils/SEQS_Figure5/";
$build_DNA_base = "setup_utils/build_DNA_base.pl";
$nuc_base       = "setup_utils/nuc_base_r_theta_phi";

 if ($type eq "linear") {
     $template    = "setup_utils/linear_DNA_backbone.pdb";
 }
 if ($type eq "1kx5") { 
     $template    = "setup_utils/1kx5_DNA_backbone.pdb";
 }

$sm1 = $start - 1;
for ($k=1;$k<=$sm1;$k++) {$file_num++;}

for ($i=$start;$i<=$end;$i++) {
   $file_num++;
   $seq_file_name = $seq_dir."SEQ_".$file_num.".dat";
   $dir_name  = $type."_".$file_num;
   $pdb_name  = $type."_"."DNA.pdb";

#DEBUG
#   print "$build_DNA_base\n";
#   print "$nuc_base\n";
#   print "$dir_name\n";
#   print "$seq_file_name\n";
#   <STDIN>;
#DEBUG
   system("mkdir $dir_name");
   system("$build_DNA_base $nuc_base $template $seq_file_name > $pdb_name");
   system("mv $pdb_name $dir_name");
}#endfor#
